List Alert Events
curl --request GET \
--url https://api.coralogix.com/mgmt/openapi/5/alerts/alerts/v3/all/events \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/5/alerts/alerts/v3/all/events"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/5/alerts/alerts/v3/all/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"companyId": 1,
"cxEventKey": "test",
"cxEventLabels": {},
"cxEventPayload": {},
"cxEventPayloadType": "test_payload_type",
"cxEventTimestamp": "2024-05-05T00:00:00.000Z",
"cxEventType": "test_type",
"cxEventDedupKey": "test_dedup_key",
"cxEventMetadata": {}
}
],
"pagination": {
"nextPageToken": "test",
"totalSize": 10
}
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}Events Service
List Alert Events
Returns all alert events.
List Alert Events
Authorizations
API key authentication
Query Parameters
Alert version IDs to filter events by
Alert version IDs to filter events by
Example:
["32144a8a-7ee0-4c16-a093-2bf1f9c12e1e"]
Time range to search for events This data structure represents a timestamp range
Show child attributes
Show child attributes
Optional event labels to filter by (e.g., app, subsystem, region)
Show child attributes
Show child attributes
Ordering criteria for the returned events.
Show child attributes
Show child attributes
Pagination parameters for the response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I